<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");

include_once( "../include/class.SQLInteger.php" );
include_once( "../include/class.SQLString.php" );
include_once( "../include/class.SQLFieldSet.php" );

$datenausdbholen2 = "nein"; ## wenn fehler in den daten aus dem vorhergehenden formular, sollen die daten nicht neu aus der datenbank geholt werden, sondern die eingaben erhalten bleiben
$timestamp = time();
## checken ob feldname angegeben, wenn feldwert angegeben
if ( ((!istleer($freifeldwert1)) && (istleer($freifeldname1)))
  || ((!istleer($freifeldwert2)) && (istleer($freifeldname2)))
  || ((!istleer($freifeldwert3)) && (istleer($freifeldname3))))
 {
  $fehlertext = ltext("kupeup_error1");
  include("kunden_neu3.php");
  exit();
 }
## /checken ob feldname angegeben, wenn feldwert angegeben

## falls keine kundendaten angegeben wurden soll kundendatenanzeigen=nein sein
if ((istleer($name))
 && (istleer($firma))
 && (istleer($anschrift))
 && (istleer($plzort))
 && (istleer($telefon))
 && (istleer($fax))
 && (istleer($emailadresse))
 && (istleer($kundennummer))
 && (istleer($freifeldname1))
 && (istleer($freifeldname2))
 && (istleer($freifeldname3)))
 {
   $kundendatenanzeigen = "0";
 }
## /falls keine kundendaten angegeben wurden soll kundendatenanzeigen=nein sein

## wenn update dann mach jetzt update

db_connect($db_host, $db_user, $db_pass);

$loFields = new SQLFieldSet ( array( 'name' =>  array( $name , 'C' ),
																		 'firma' =>  array( $firma , 'C' ),
																		 'anschrift' => array( $anschrift , 'C' ),
																		 'plzort' => array( $ort , 'C' ),
																		 'telefon' => array( $telefon , 'C' ),
																		 'fax' => array( $fax , 'C' ),
																		 'emailadresse' => array( $emailadresse , 'C' ),
																		 'kundennummer' => array( $kundennummer , 'C' ),
																		 'freifeldname1' => array( $freifeldname1, 'C' ),
																		 'freifeldname2' => array( $freifeldname2, 'C' ),
																		 'freifeldname3' => array( $freifeldname3, 'C' ),
																		 'freifeldwert1' => array( $freifeldwert1, 'C' ),
																		 'freifeldwert2' => array( $freifeldwert2, 'C' ),
																		 'freifeldwert3' => array( $freifeldwert3, 'C' ),
																		 'gender' => array( $gender, 'C' ),
																		 'firstname' => array( $firstname, 'C' ),
																		 'plz' => array( $plz, 'C' ),
																		 'land' => array( $land, 'C' ),
																		 'kundendatenanzeigen' => $kundendatenanzeigen,
																		 'lastchange' => $timestamp 
																		 )
															); 

$lcSQL = "UPDATE kunden SET ".$loFields->getSQLUpdate()." WHERE  kunde = ?  AND anbieter = ?";
safe_query( $lcSQL, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );

$fehlertitel = ltext("kupeup_errortitle");
$fehlertext = ltext("kupeup_error2");
db_close();
include("kunden_aendern.php");
exit();

?>
